# Get a list of location team members with their tip settings

Endpoint: GET /tips/{location_id}/settings
Version: 1.0.0
Security: BearerPartner

## Security:

  - `BearerPartner` (unknown)
    http bearer Bearer {PartnerToken}

## Path parameters:

  - `location_id` (integer, required)
    location ID

## Header parameters:

  - `Accept` (string, required)
    application/vnd.api.v2+json

  - `Content-Type` (string, required)
    application/json

  - `Authorization` (string, required)
    Bearer partner_token, User user_token

## Response 200:

  - `200` (unknown)
    Collection of objects

## Response 200 fields (application/json):

  - `success` (boolean)
    Execution success status (true)

  - `data` (array)
    Array of objects with data

  - `data.id` (number)
    Setting ID

  - `data.location_id` (integer)

  - `data.staff_id` (number)
    team member ID

  - `data.hash` (string)
    Hash token

  - `data.status` (number)
    Setting status

  - `data.status_title` (string)
    Status name

  - `data.is_enabled` (boolean)
    Is tip setting enabled

  - `data.landing_external` (string)

  - `data.master_tips_form_link` (string)
    Link to the page where you can leave a tip to the team member

  - `data.invite_sms_sent` (boolean)

  - `data.staff` (object)
    Team Member

  - `data.staff.id` (number)
    team member ID

  - `data.staff.name` (string)
    Team Member name

  - `data.staff.specialization` (string)
    Specialization

  - `data.staff.avatar` (string)
    Path to team member profile picture

  - `data.staff.employee` (object)
    team member

  - `data.staff.employee.id` (number)
    team member ID

  - `data.staff.employee.phone` (string)
    Telephone

  - `data.staff.user` (object)
    User

  - `data.staff.user.id` (number)
    User ID

  - `data.staff.user.name` (string)
    Username

  - `data.staff.user.email` (string)
    User email address

  - `data.staff.user.phone` (string)
    User phone

  - `data.staff.position` (object)
    Position

  - `data.staff.position.id` (number)
    Job ID

  - `data.staff.position.title` (string)
    Job title

  - `meta` (object)
    Metadata (contains the number of found team members)

  - `meta.count` (integer)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Authentication needed.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Access denied.

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object | array)
    Additional response data (empty object or empty array)
    Example: {}

